*,
*:before,
*:after {
   padding: 0;
   margin: 0;
   border: 0;
   box-sizing: border-box;
}

html,

body {
   height: 100%;
   font-family: 'Roboto', sans-serif;
   font-size: 14px;
   background-color: black;
}

::-webkit-scrollbar {
   display: none;
}

h1 {
   font-size: 70px;
   font-family: 'Archivo Black', sans-serif;
   font-weight: 500;
   text-transform: uppercase;
   line-height: 0.7em;
}

h2 {
   font-size: 30.4px;
   font-family: 'Archivo Black', sans-serif;
   font-weight: 500;
   text-transform: uppercase;
   margin-bottom: 5px;
}

p {
   font-size: 13px;
   font-family: Roboto;
   font-weight: 300;
   margin: 0;
}

a {
   color: #fff;
   font-size: 13px;
   font-family: Roboto;
   font-weight: 300;
   margin: 0;
   text-decoration: none;
}

a:is(:link, :active, :visited).active {
   color: #59eaaf;
}

::selection {
   color: rgb(0, 0, 0);
   background-color: #59eaaf;
}

#particles-js {
   width: 100%;
   height: 100%;
   position: absolute;
   /* background-color: black; */
   z-index: 1;

}

.wrapper {
   height: 100vh;
   overflow: hidden;
   display: flex;
   flex-direction: column;
}

.container {
   max-width: 1180px;
   margin: 0 auto;
}


.main {
   flex: 1 1 auto;
   z-index: 49;
}

/* HEADER & BURGER MENU*/
.header {
   position: fixed;
   width: 100%;
   top: 0;
   left: 0;
   z-index: 50;
   background-color: black;
}

.header:before {
   content: '';
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   /* background-color: rgb(0, 0, 0); */
   z-index: 2;
}

.header__body {
   position: relative;
   display: flex;
   justify-content: space-between;
   height: 100px;
   align-items: center;
   margin-top: 20px;
   padding: 0px 10px;
}

.header__burger {
   display: none;
}

.header__logo {
   width: 250px;
   flex: 0 0 0 200px;
   z-index: 3;
}

.header__logo img {
   max-width: 100%;
}

.header__list {
   display: flex;
   position: relative;
   z-index: 2;
   color: #fff;
}

.header__list a:hover {
   border-bottom: 1px solid #59eaaf;
   color: #59eaaf;
   transition: all 0.1s ease 0s;
}

.header__list li {
   list-style: none;
   margin: 0px 0px 0px 32px;
}

.header__link {
   color: #fff;
   font-size: 14px;
   font-family: Roboto;
   font-weight: 300;
   text-decoration: none;
}

.header__link-active {
   color: #59eaaf;
   font-size: 14px;
   font-family: Roboto;
   font-weight: 300;
   text-decoration: none;
}


/* CONTENT */
/* SUBMENU */

.block {
   margin-top: 170px;
   padding: 10px;
   /* background: gray; */
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
}

.block__title {
   /* background-color: orange; */
   width: 100%;
   text-align: center;
}

.linear-wipe {
   background: linear-gradient(to right, #48e3be 20%, #1585ff 40%, #b102ff 60%, #48e3be 80%);
   background-size: 500% auto;

   background-clip: text;
   text-fill-color: transparent;
   -webkit-background-clip: text;
   -webkit-text-fill-color: transparent;
   animation: shine 10s linear infinite;
}

@keyframes shine {
   to {
      background-position: 500% center;
   }
}

.block__cycle {
   width: 85%;
}

.block__cycle img {
   width: 100%;
   margin-top: 20px;

}


/* FOOTER */

.footer {
   /* position: absolute;
   padding: 10px 10px 0px 10px;
   bottom: 0;
   width: 100%; */
   /* background-color: #130029;
   z-index: 100; */
}

.footer__block {
   display: flex;
   justify-content: space-between;
   align-items: center;
   padding: 15px 5px;

}

.footer__icons {
   display: flex;
   align-items: center;
   padding-left: 20px;
   position: relative;
   padding: 0 5px;
}

.footer__icons a {
   font-size: 10px;
   font-weight: 500;
   color: #2d313f;
   text-transform: uppercase;
   padding-left: 5px;
}

.footer__icons a:hover {
   color: #5a5f73;
}

.footer__icons img {
   width: 32px;
}

.footer__p {
   font-size: 10px;
   line-height: 1.2;
   font-weight: 500;
   color: #2d313f;
   text-transform: uppercase;
}

.footer__powered a {
   font-size: 10px;
   line-height: 1.2;
   font-weight: 500;
   color: #2d313f;
   text-transform: uppercase;
}

.footer__powered a:hover {
   color: #5a5f73;
}


/* RESPONSIBLE*/
@media (max-width:1279px) {
   body.lock {
      overflow: hidden;
   }

   .header__burger {
      display: block;
      position: relative;
      width: 30px;
      height: 20px;
      position: relative;
      z-index: 4;
   }

   .header__burger span {
      background-color: #fff;
      position: absolute;
      width: 100%;
      height: 2px;
      left: 0;
      top: 9px;
      transition: all 0.3s ease 0s;
   }

   .header__burger:before,
   .header__burger:after {
      content: '';
      background-color: #fff;
      position: absolute;
      width: 100%;
      height: 2px;
      left: 0;
      transition: all 0.3s ease 0s;
   }

   .header__burger:before {
      top: 0;
   }

   .header__burger:after {
      bottom: 0;
   }

   .header__burger.active span {
      transform: scale(0);
   }

   .header__burger.active:before {
      transform: rotate(45deg);
      top: 9px;
   }

   .header__burger.active:after {
      transform: rotate(-45deg);
      bottom: 9px;
   }

   .header__menu {
      position: fixed;
      top: -100%;
      left: 0;
      width: 100%;
      height: 100%;
      transition: all 0.3s ease 0s;
      background-color: rgb(0, 0, 0);
      /* padding: 70px 10px 20px 10px; */

      display: flex;
      justify-content: center;
      align-items: center;

      text-align: center;
   }

   .header__menu.active {
      top: 0;
   }

   .header__list {
      display: block;
      justify-content: center;
      align-content: center;
   }

   .header__link {
      color: rgb(255, 255, 255);
      font-size: 25px;
      line-height: 2;
   }

   .header__link-active {
      font-size: 25px;
   }

   .header__list li {
      margin: 0 0 20px 0;
   }

   .content {
      padding: 70px 0px 0px 0px;
   }
}

@media (max-width:1039px) {
   h1 {
      line-height: .9em;
   }

   h2 {
      font-size: 15.4px;
      padding-top: 4px;
   }
}

@media (max-width:880px) {

   .catalog {
      padding: 0px 10px;
   }

   .block__column {
      padding: 0;
   }

   .catalog__column {
      padding: 0px;
   }

   .catalog__item {
      flex-wrap: wrap;
   }

   .footer__powered {
      line-height: 0.5;
   }
}

@media (max-width:675px) {
   .footer__block {
      /* flex-direction: column; */
      flex-wrap: wrap;
      justify-content: center;
   }

   .footer__powered {
      padding-left: 40px;
   }
}

@media (max-width:550px) {
   h1 {
      font-size: 50px;
   }

   .block {
      margin-top: 140px;
   }

   .block__cycle img {
      margin-top: 40px;
   }
}

@media (max-width:445px) {
   .header__link {
      font-size: 18px;
      line-height: 1.6;

   }

   .header__link-active {
      font-size: 18px;
   }

   .header__logo {
      width: 200px;
      flex: 0 0 0 200px;
      z-index: 3;
   }

   .footer__p {
      padding-bottom: 8px;
   }
}

@media (max-width:360px) {
   h1 {
      font-size: 40px;
   }

   h2 {
      line-height: 1.2em;
   }

   .footer__powered {
      margin-top: 8px;
   }

}